# Global definitions
variable "main_region" {
  type = string
  default = "isti_area_pi_1"
}

variable "external_network" {
  type    = map(string)
  default = {
    name = "external-network"
    id = "1d2ff137-6ff7-4017-be2b-0d6c4af2353b"
    }
}

variable "floating_ip_pools" {
  type = map(string)
  default = {
    main_public_ip_pool = "external-network"
  }
}

variable "resolvers_ip" {
  type    = list(string)
  default = ["146.48.29.97", "146.48.29.98", "146.48.29.99"]
}

variable "mtu_size" {
  type = number
  default = 8942
}

variable "availability_zones_names" {
  type = map(string)
  default = {
    availability_zone_no_gpu = "cnr-isti-nova-a"
    availability_zone_with_gpu = "cnr-isti-nova-gpu-a"
  }
}

variable "ssh_sources" {
  type = map(string)
  default = {
    s2i2s_vpn_1_cidr = "146.48.28.10/32"
    s2i2s_vpn_2_cidr = "146.48.28.11/32"
    d4s_vpn_1_cidr = "146.48.122.27/32"
    d4s_vpn_2_cidr = "146.48.122.49/32"
    shell_d4s_cidr = "146.48.122.95/32"
    infrascience_net_cidr = "146.48.122.0/23"
  }
}
