variable "ssh_key_file" {
  type = map(string)
  default = {
    file = "~/.ssh/id_ed25519"
    name = "adellam"
    }
}

variable "ubuntu_1804" {
  type = map(string)

  default = {
    name = "Ubuntu-Bionic-18.04"
    uuid = "7ed6a2cd-2b07-482e-8ce4-f018dff16c89"
    }
}

variable "ubuntu_2204" {
  type = map(string)
  default = {
    name = "Ubuntu-Jammy-22.04"
    uuid = "54768889-8556-4be4-a2eb-82a4d9b34627"
    }
}

variable "centos_7" {
  type = map(string)
  default = {
    name = "CentOS-7"
    uuid = "f0187a99-64f6-462a-ab5f-ef52fe62f2ca"
    }
}

variable "almalinux_9" {
  type = map(string)
  default = {
    name = "AlmaLinux-9.0-20220718"
    uuid = "541650fc-dd19-4f38-bb1d-7333ed9dd688"
    }
}

variable "ubuntu1804_data_file" {
  default = "../../openstack_vm_data_scripts/ubuntu1804.sh"
}

variable "ubuntu2204_data_file" {
  default = "../../openstack_vm_data_scripts/ubuntu2204.sh"
}

variable "el7_data_file" {
  default = "../../openstack_vm_data_scripts/el7.sh"
}

variable "ssh_jump_proxy" {
  type = map(string)
  default = {
    name = "ssh-jump-proxy"
    flavor = "m2.small"
    }
}

variable "internal_ca_data" {
  type = map(string)
  default = {
    name ="ca"
    flavor = "m1.small"
    }
}

variable "prometheus_server_data" {
  type = map(string)
  default = {
    name ="prometheus"
    flavor = "m1.medium"
    vol_data_name = "prometheus-data"
    vol_data_size = "100"
    vol_data_device = "/dev/vdb"
    public_grafana_server_cidr = "146.48.122.132/32"
    }
}

variable "shared_postgresql_server_data" {
  type = map(string)
  default = {
    name ="shared-postgresql-server"
    flavor = "m1.medium"
    vol_data_name = "shared-postgresql-data"
    vol_data_size = "100"
    vol_data_device = "/dev/vdb"
#    vol_backup_name = ""
#    vol_backup_size = ""
#    vol_backup_device = ""
    network_name = "postgresql-srv-net"
    network_description = "Network used to communicate with the shared postgresql service"
    network_cidr = "192.168.0.0/22"
    allocation_pool_start = "192.168.0.100"
    allocation_pool_end = "192.168.3.254"
    server_ip = "192.168.0.5"
    server_cidr = "192.168.0.5/22"
    }
}

variable "haproxy_l7_data" {
  type = map(string)
  default = {
    name = "main-haproxy-l7"
    haproxy_1 = "haproxy-l7-1"
    haproxy_2 = "haproxy-l7-2"
    flavor = "m1.medium"
    vm_count = "2"
    }
}
